Skip to main content
GET
/
task-templates
List task templates
curl --request GET \
  --url https://www.ruddr.io/api/workspace/task-templates \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "87df3b93-c5bc-4424-91ca-44d219eb8968",
      "name": "Consulting Meetings",
      "budgetHours": 40,
      "notes": "Standard consulting engagement setup tasks",
      "isBillable": true,
      "createdAt": "2025-11-20T16:09:46.218Z",
      "tags": [
        {
          "id": "791c3dc6-9f13-46d5-b9f2-3368fb70624e",
          "name": "Set-up"
        }
      ]
    }
  ],
  "hasMore": false
}
A reusable task definition that can be quickly added to projects.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startingAfter
string

A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.

endingBefore
string

A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.

limit
integer<int32>

The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.

name
string

Filter by name when it exactly matches the provided keyword.

Response

200

results
object[]
hasMore
boolean

Whether there are more results available after this page.